//#############################################################################
// Bob's Action Racing for Arduboy
// (c) 2016 by hackefuffel
// http://hackefuffel.com
// License: CC BY-NC-SA 4.0
// Credits: Bob Fungus, @chris_muetze, rou
//#############################################################################

#include <SPI.h>
#include <EEPROM.h>
#include "Arduboy.h"

// Make an instance of arduboy used for many functions
Arduboy arduboy;

#include "game.h"

//=============================================================================
// 
//=============================================================================
void setup() 
{
    //initiate arduboy instance
    arduboy.beginNoLogo();

    // here we set the framerate to 30, we do not need to run at default 60 and
    // it saves us battery life.
    arduboy.setFrameRate(60);
    arduboy.setTextSize(1);

    bobInit();
}

//=============================================================================
// 
//=============================================================================
void loop()
{
    if (!(arduboy.nextFrame()))
        return;
    
    bobGameLoop(arduboy);

    // then we finaly we tell the arduboy to display what we just wrote to the display.
    arduboy.display();
}
